## ros-noetic-pluginlib 1.13.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pluginlib)

find_package(catkin REQUIRED COMPONENTS class_loader rosconsole roslib cmake_modules)
find_package(Boost REQUIRED COMPONENTS filesystem)
find_package(TinyXML2 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS class_loader rosconsole roslib
  DEPENDS Boost TinyXML2
)

if(CATKIN_ENABLE_TESTING)
  include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${TinyXML2_INCLUDE_DIRS})

  add_library(test_plugins EXCLUDE_FROM_ALL SHARED test/test_plugins.cpp)
  target_link_libraries(test_plugins ${class_loader_LIBRARIES})

  catkin_add_gtest(${PROJECT_NAME}_utest test/utest.cpp)
  if(TARGET ${PROJECT_NAME}_utest)
    target_link_libraries(${PROJECT_NAME}_utest ${TinyXML2_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
    add_dependencies(${PROJECT_NAME}_utest test_plugins)
  endif()

  include(CheckCXXCompilerFlag)
  check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
  if(COMPILER_SUPPORTS_CXX11)
    catkin_add_gtest(${PROJECT_NAME}_unique_ptr_test test/unique_ptr_test.cpp)
    if(TARGET ${PROJECT_NAME}_unique_ptr_test)
      target_link_libraries(${PROJECT_NAME}_unique_ptr_test ${TinyXML2_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
      set_target_properties(${PROJECT_NAME}_unique_ptr_test PROPERTIES COMPILE_FLAGS -std=c++11 LINK_FLAGS -std=c++11)
      add_dependencies(${PROJECT_NAME}_unique_ptr_test test_plugins)
    endif()
  endif()

endif()

install(DIRECTORY include/pluginlib/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

catkin_install_python(PROGRAMS scripts/pluginlib_headers_migration.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-noetic-pluginlib 1.13.0

=== debian/changelog ===
ros-noetic-pluginlib (1.13.0-1focal) focal; urgency=high

  * Declare specific boost dependencies (#171 <https://github.com/ros/pluginlib/issues/171>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 21 May 2020 07:00:00 -0000

ros-noetic-pluginlib (1.12.2-1focal) focal; urgency=high

  * Add bin to library search path on Windows. (#145 <https://github.com/ros/pluginlib/issues/145>)
  * Bump minimum CMake version to avoid CMP0048 warning. (#173 <https://github.com/ros/pluginlib/issues/173>)
  * Check for NULL in XMLElement::Attribute. (#163 <https://github.com/ros/pluginlib/issues/163>)
  * Check for NULL in XMLElement::GetText. (#159 <https://github.com/ros/pluginlib/issues/159>)
  * Check for NULL in XMLNode::Value. (#158 <https://github.com/ros/pluginlib/issues/158>)
  * Update header migration script for Python 3. (#148 <https://github.com/ros/pluginlib/issues/148>)
  * Make Steven! Ragnarok the maintainer. (#129 <https://github.com/ros/pluginlib/issues/129>)
  * Fix spelling Attirbute=>Attribute. (#128 <https://github.com/ros/pluginlib/issues/128>)
  * Link test_plugins against class_loader for Windows compilation. (#125 <https://github.com/ros/pluginlib/issues/125>)
  * Fix build issue when build on Windows (#123 <https://github.com/ros/pluginlib/issues/123>)
  * Contributors: James Xu, Jeremie Deray, Johnson Shih, Markus Grimm, Mikael Arguedas, Shane Loretz, josch

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 14 Feb 2020 08:00:00 -0000

ros-noetic-pluginlib (1.12.1-1focal) focal; urgency=high

  * [warning fix] remove deprecation warning until users are required to change code (#115 <https://github.com/ros/pluginlib/issues/115>)
  * [warning fix] move catkinFindLib implementation from anonymous namespace to getCatkinLibraryPaths (#113 <https://github.com/ros/pluginlib/issues/113>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 27 Apr 2018 07:00:00 -0000

ros-noetic-pluginlib (1.12.0-1focal) focal; urgency=high

  * [warning fix]Cherry-pick #103 <https://github.com/ros/pluginlib/issues/103> to melodic-devel (#105 <https://github.com/ros/pluginlib/issues/105>)
  * [migration helper] provide a script to convert include statements to use new headers (#104 <https://github.com/ros/pluginlib/issues/104>)
  * [migration] use new class_loader headers and fix deprecation warnings (#101 <https://github.com/ros/pluginlib/issues/101>)
  * [bugfix] Continue loading classes on error (#85 <https://github.com/ros/pluginlib/issues/85>) (#88 <https://github.com/ros/pluginlib/issues/88>)
  * [style] Fix cpplint and lint_cmake errors (#84 <https://github.com/ros/pluginlib/issues/84>)
  * move pluginlib in its own folder (#83 <https://github.com/ros/pluginlib/issues/83>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 14 Mar 2018 07:00:00 -0000

ros-noetic-pluginlib (1.11.0-1focal) focal; urgency=high

  * Switch to Tinyxml2 (#59 <https://github.com/ros/pluginlib/issues/59>)
  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * remove trailing whitespaces (#54 <https://github.com/ros/pluginlib/issues/54>)
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-pluginlib (1.10.5-1focal) focal; urgency=high

  * Merge pull request #47 <https://github.com/ros/pluginlib/issues/47> from ros/fix_conversion
    fix size_t to int conversion
  * fix int conversion
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-noetic-pluginlib (1.10.4-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/ros/pluginlib/issues/42> from delftrobotics-forks/unique-ptr
    Add std::unique_ptr API
  * Add unit test for unique_ptr API.
  * Simplify unit tests with ASSERT_THROW.
  * Add ClassLoader::createUniqueInstance.
  * Wrap long comment on createInstance and friend.
  * Throw exception if plugin.xml is broken (#41 <https://github.com/ros/pluginlib/issues/41>)
    * added test case for broken xml files with missing attributes of class tag
    * added checks if all needed attributes of the class tag are existing
    * removed comment and empty line
  * Contributors: Maarten de Vries, Mikael Arguedas, cwecht

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-noetic-pluginlib (1.10.3-1focal) focal; urgency=high

  * Merge pull request #40 <https://github.com/ros/pluginlib/issues/40> from ros/fix_warnings
    fix deprecated warnings in unit tests
  * fix deprecated warnings in unit tests
  * removed merge messages and redundant commits
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-noetic-pluginlib (1.10.2-1focal) focal; urgency=high

  * Remove Boost Software License from license tag #35 <https://github.com/ros/pluginlib/issues/35>
  * Throw an exception if ClassLoader can't be instantiated due to an invalid package name #34 <https://github.com/ros/pluginlib/issues/34>
  * Add ":" to split function within getName. #33 <https://github.com/ros/pluginlib/issues/33>
  * Contributors: Esteve Fernandez, Jochen Sprickerhof, Mikael Arguedas, Mike O'Driscoll

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Mar 2016 07:00:00 -0000

ros-noetic-pluginlib (1.10.1-1focal) focal; urgency=high

  * Remove GTEST_FOUND from CMakeLists.txt
  * Check that GTest is installed before running tests.
  * Moved plugin_macro_update script to scripts directory. Made plugin_macro_update rosrunnable and removed it from global PATH #29 <https://github.com/ros/pluginlib/issues/29>
  * Contributors: Esteve Fernandez



=== debian/control ===
Source: ros-noetic-pluginlib
Section: misc
Priority: optional
Maintainer: Steven! Ragnarök <stevenragnarok@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-filesystem-dev, libtinyxml2-dev, ros-noetic-catkin (>= 0.5.68), ros-noetic-class-loader, ros-noetic-cmake-modules, ros-noetic-rosconsole, ros-noetic-roslib (>= 1.11.1)
Homepage: http://www.ros.org/wiki/pluginlib
Standards-Version: 3.9.2

Package: ros-noetic-pluginlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-filesystem-dev, libtinyxml2-dev, ros-noetic-class-loader, ros-noetic-rosconsole, ros-noetic-roslib (>= 1.11.1)
Description: The pluginlib package provides tools for writing and dynamically loading plugins using the ROS build infrastructure.
 To work, these tools require plugin providers to register their plugins in the package.xml of their package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pluginlib//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-pluginlib 1.13.1

=== debian/changelog ===
ros-noetic-pluginlib (1.13.1-1focal) focal; urgency=high

  * Documented possible exception being thrown in ClassLoader destructor. (#234 <https://github.com/ros/pluginlib/issues/234>)
  * Avoid throwing on symlink loops. (#244 <https://github.com/ros/pluginlib/issues/244>)
  * Drop unused include (#233 <https://github.com/ros/pluginlib/issues/233>)
  * Use ifdef instead of if for win32 (#238 <https://github.com/ros/pluginlib/issues/238>)
  * Contributors: Ivor Wanders, Jochen Sprickerhof, Matthijs van der Burgh, Remo Diethelm

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-noetic-pluginlib 1.13.2

=== debian/changelog ===
ros-noetic-pluginlib (1.13.2-1focal) focal; urgency=high

  * fix shebang line for python3 (#197 <https://github.com/ros/pluginlib/issues/197>)
  * Fix warnings reported by Wformat. Printouts with format '%p' should be void pointers. Add static_cast's. (#179 <https://github.com/ros/pluginlib/issues/179>)
  * Fix runtime dependencies (#257 <https://github.com/ros/pluginlib/issues/257>)
  * Contributors: Atsushi Watanabe, Gabriel Hottiger, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sat, 26 Apr 2025 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: ros-noetic-pluginlib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-filesystem-dev, libtinyxml2-dev, ros-noetic-class-loader, ros-noetic-rosconsole, ros-noetic-roslib (>= 1.11.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libboost-dev, libboost-filesystem-dev, libboost-filesystem1.71.0, libtinyxml2-dev, ros-noetic-class-loader, ros-noetic-rosconsole, ros-noetic-roslib (>= 1.11.1)
 Description: The pluginlib package provides tools for writing and dynamically loading plugins using the ROS build infrastructure.
  To work, these tools require plugin providers to register their plugins in the package.xml of their package.
